# Release a version **POST /versions/{version_id}/release** Release a deployed version, which becomes publicly visible in your documentation. The version is moved to the `releasing` state, then to the `released` state once processed. Poll the version to follow its progress. This operation requires a plan that allows manual releases (see [pricing](https://bump.sh/pricing)). Otherwise a `400` error is returned. ## Servers - Production: https://bump.sh/api/v1 () ## Authentication methods - Authorization token - Basic token (deprecated) ## Parameters ### Path parameters - **version_id** (string) UUID of an existing documentation version ## Responses ### 204 Version is already released, nothing was done ### 202 Version is being released #### Body: application/json (object) - **id** (string) Unique id of your version. - **doc_id** (string) Unique id of your documentation. - **doc_public_url** (string) The public URL of your documentation. - **doc_name** (string) The name of the documentation - **state** (string) Deployment state of the version. ### 400 Bad request #### Body: application/json (object) - **message** (string) Human readable error message for status 400. ### 404 Version not found ### 409 A version of this documentation is currently being released or unreleased #### Body: application/json (object) - **message** (string) Human readable error message. - **errors** (object) Hash of invalid attributes with their error messages. ### 422 Only deployed versions can be released #### Body: application/json (object) - **message** (string) Human readable error message. - **errors** (object) Hash of invalid attributes with their error messages. [Powered by Bump.sh](https://bump.sh)